<div class="body-section-transfer">
    <table class="table table-hover table-default txt-size" *ngIf="pagos">
        <tbody>
            <tr class="text-center" style="font-size:0.8rem;">
                <th>F.P.</th>
                <th>Mon.</th>
                <th>Vou.</th>
                <th>Subtotal</th>
                <th>Serv.</th>
                <th>Total</th>
                <th></th>
            </tr>
            <tr *ngFor="let pago of pagos; let i = index;" style="font-size: 0.8rem;">
                <td>{{ pago.codigo }}</td>
                <td>{{ pago.Moneda }}</td>
                <td>{{ pago.cVoucher }}</td>
                <td class="text-right">{{ pago.dMonto | number:'.2-2' }}</td>
                <td class="text-right">{{ pago.dPropTotal | number:'.2-2' }}</td>
                <td class="text-right">{{ pago.dMonto + pago.dPropTotal | number:'.2-2' }}</td>
                <td (click)="borrarPago(i)" *ngIf="cheque.pea === 'I'">
                    <i class="fa fa-trash fa-lg text-danger"></i>
                </td>
            </tr>
        </tbody>
    </table>
    <div class="text-center mt-2" *ngIf="!pagos">
        <strong>¡No hay pagos agregados para este cheque!</strong>
    </div>
</div>
<div class="row mx-0">
    <button type="button" class="btn btn-shadow btn-secondary col py-3" (click)="cerrarPago()">
        <i class="fa fa-arrow-left mr-2"></i>Salir
    </button>
    <button type="button" class="btn btn-shadow btn-success col py-3 ml-1" (click)="aceptarPago()"
        [disabled]=" totalPagado !== total || total === 0" *ngIf="cheque.pea === 'I'">
        <i class="fa fa-check mr-2"></i>Aceptar
    </button>
    <table class="table table-hover table-dark mt-1" style="font-size: 11.50px;font-family: monospace;">
        <tbody>
            <tr>
                <td class="active" width="40%">Sub-Total</td>
                <td width="60%">
                    <span class="float-right"><b>{{ subtotal | number:'.2-2' }}</b></span>
                </td>
            </tr>
            <tr>
                <td class="active">Descuento</td>
                <td><span class="float-right"><b>{{ descuento | number:'.2-2' }}</b></span></td>
            </tr>
            <tr>
                <td class="active">Servicio</td>
                <td><span class="float-right"><b>{{ propina | number:'.2-2' }}</b></span></td>
            </tr>
            <tr>
                <td class="active">Total</td>
                <td><span class="float-right"><b>{{ total | number:'.2-2' }}</b></span></td>
            </tr>
        </tbody>
    </table>
</div>